//---------------------------------------------------------------------------

#ifndef PartPictureUnitH
#define PartPictureUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ExtDlgs.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TOpenPictureDialog *OpenPictureDialog1;
  TLabel *Label1;
  TComboBox *ComboBox1;
  TLabel *Label3;
  TLabel *Label2;
  TTimer *Timer1;
  TImage *Image1;
  TImage *Image2;
  TCheckBox *CheckBox1;
  TCheckBox *CheckBox2;
  TCheckBox *CheckBox3;
  TCheckBox *CheckBox4;
  TComboBox *ComboBox2;
  void __fastcall ComboBox1Change(TObject *Sender);
  void __fastcall ComboBox2Change(TObject *Sender);
  void __fastcall MyImageClick(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall CheckBox1Click(TObject *Sender);
  void __fastcall CheckBox2Click(TObject *Sender);
  void __fastcall ImageMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
  void __fastcall ImageMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
  void __fastcall ImageMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
  void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift, int X,
          int Y);
  void __fastcall CheckBox3Click(TObject *Sender);
private:	// User declarations
  TStringList *MyImageList;
  int          InVisibleIndex;
  int          Part;
  int          ChangeableIndex[4];
  TDateTime    StartTime;
  AnsiString   LastSelectBmpFile;
  int          LastSelectIndex;

  bool  bMouseDown;
  int   iDownIndex;
  int   iDownX;
  int   iDownY;
  int   iImageX;
  int   iImageY;
  bool  bNeedExchange;
  bool  bAlreadyDone;

  void __fastcall UpdateChangeableIndex(void);
  void __fastcall ChangeImage(int Index1,int Index2);
  void __fastcall UpdateDebugInformation(void);
  void __fastcall CheckIfAlreadyDone(void);
  void __fastcall RePartImage(AnsiString BmpFileName);

public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
